## org.eclipse.ocl.utilities
Interface ASTNode

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  AssociationClassCallExp<C,P>, AssociationClassCallExp, AssociationClassCallExp, BagType<C,O>, BagType, BagType, BooleanLiteralExp<C>, BooleanLiteralExp, BooleanLiteralExp, CallExp<C>, CallExp, CallExp, CallingASTNode, CollectionLiteralExp<C>, CollectionLiteralExp, CollectionLiteralExp, CollectionType<C,O>, CollectionType, CollectionType, EnumLiteralExp<C,EL>, EnumLiteralExp, EnumLiteralExp, FeatureCallExp<C>, FeatureCallExp, FeatureCallExp, IfExp<C>, IfExp, IfExp, IntegerLiteralExp<C>, IntegerLiteralExp, IntegerLiteralExp, InvalidLiteralExp<C>, InvalidLiteralExp, InvalidLiteralExp, IterateExp<C,PM>, IterateExp, IterateExp, IteratorExp<C,PM>, IteratorExp, IteratorExp, LetExp<C,PM>, LetExp, LetExp, LiteralExp<C>, LiteralExp, LiteralExp, LoopExp<C,PM>, LoopExp, LoopExp, MessageExp<C,COA,SSA>, MessageExp, MessageExp, NavigationCallExp<C,P>, NavigationCallExp, NavigationCallExp, NullLiteralExp<C>, NullLiteralExp, NullLiteralExp, NumericLiteralExp<C>, NumericLiteralExp, NumericLiteralExp, OCLExpression<C>, OCLExpression, OCLExpression, OperationCallExp<C,O>, OperationCallExp, OperationCallExp, OrderedSetType<C,O>, OrderedSetType, OrderedSetType, PrimitiveLiteralExp<C>, PrimitiveLiteralExp, PrimitiveLiteralExp, PropertyCallExp<C,P>, PropertyCallExp, PropertyCallExp, RealLiteralExp<C>, RealLiteralExp, RealLiteralExp, SequenceType<C,O>, SequenceType, SequenceType, SetType<C,O>, SetType, SetType, StateExp<C,S>, StateExp, StateExp, StringLiteralExp<C>, StringLiteralExp, StringLiteralExp, TupleLiteralExp<C,P>, TupleLiteralExp, TupleLiteralExp, TupleLiteralPart<C,P>, TupleLiteralPart, TupleLiteralPart, TypedASTNode, TypeExp<C>, TypeExp, TypeExp, UnlimitedNaturalLiteralExp<C>, UnlimitedNaturalLiteralExp, UnlimitedNaturalLiteralExp, UnspecifiedValueExp<C>, UnspecifiedValueExp, UnspecifiedValueExp, Variable<C,PM>, Variable, Variable, VariableExp<C,PM>, VariableExp, VariableExp

All Known Implementing Classes:
  AssociationClassCallExpImpl, AssociationClassCallExpImpl, AssociationClassCallExpImpl, BagTypeImpl, BagTypeImpl, BagTypeImpl, BooleanLiteralExpImpl, BooleanLiteralExpImpl, BooleanLiteralExpImpl, CallExpImpl, CallExpImpl, CallExpImpl, CollectionLiteralExpImpl, CollectionLiteralExpImpl, CollectionLiteralExpImpl, CollectionTypeImpl, CollectionTypeImpl, CollectionTypeImpl, EnumLiteralExpImpl, EnumLiteralExpImpl, EnumLiteralExpImpl, FeatureCallExpImpl, FeatureCallExpImpl, FeatureCallExpImpl, IfExpImpl, IfExpImpl, IfExpImpl, IntegerLiteralExpImpl, IntegerLiteralExpImpl, IntegerLiteralExpImpl, InvalidLiteralExpImpl, InvalidLiteralExpImpl, InvalidLiteralExpImpl, IterateExpImpl, IterateExpImpl, IterateExpImpl, IteratorExpImpl, IteratorExpImpl, IteratorExpImpl, LetExpImpl, LetExpImpl, LetExpImpl, LiteralExpImpl, LiteralExpImpl, LiteralExpImpl, LoopExpImpl, LoopExpImpl, LoopExpImpl, MessageExpImpl, MessageExpImpl, MessageExpImpl, NavigationCallExpImpl, NavigationCallExpImpl, NavigationCallExpImpl, NullLiteralExpImpl, NullLiteralExpImpl, NullLiteralExpImpl, NumericLiteralExpImpl, NumericLiteralExpImpl, NumericLiteralExpImpl, OCLExpressionImpl, OCLExpressionImpl, OCLExpressionImpl, OperationCallExpImpl, OperationCallExpImpl, OperationCallExpImpl, OrderedSetTypeImpl, OrderedSetTypeImpl, OrderedSetTypeImpl, PrimitiveLiteralExpImpl, PrimitiveLiteralExpImpl, PrimitiveLiteralExpImpl, PropertyCallExpImpl, PropertyCallExpImpl, PropertyCallExpImpl, RealLiteralExpImpl, RealLiteralExpImpl, RealLiteralExpImpl, SequenceTypeImpl, SequenceTypeImpl, SequenceTypeImpl, SetTypeImpl, SetTypeImpl, SetTypeImpl, StateExpImpl, StateExpImpl, StateExpImpl, StringLiteralExpImpl, StringLiteralExpImpl, StringLiteralExpImpl, TupleLiteralExpImpl, TupleLiteralExpImpl, TupleLiteralExpImpl, TupleLiteralPartImpl, TupleLiteralPartImpl, TupleLiteralPartImpl, TypeExpImpl, TypeExpImpl, TypeExpImpl, UnlimitedNaturalLiteralExpImpl, UnlimitedNaturalLiteralExpImpl, UnlimitedNaturalLiteralExpImpl, UnspecifiedValueExpImpl, UnspecifiedValueExpImpl, UnspecifiedValueExpImpl, VariableExpImpl, VariableExpImpl, VariableExpImpl, VariableImpl, VariableImpl, VariableImpl

    public interface ASTNode

extends EObject

A representation of the model object 'AST Node'.

The following features are supported:

- `Start Position`
- `End Position`

See Also:
  `UtilitiesPackage.getASTNode()`

Method Summary
`int` `getEndPosition()` Returns the value of the 'End Position' attribute.
`int` `getStartPosition()` Returns the value of the 'Start Position' attribute.
`void` `setEndPosition(int value)` Sets the value of the '`End Position`' attribute
`void` `setStartPosition(int value)` Sets the value of the '`Start Position`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getStartPosition

    int getStartPosition()

  Returns the value of the 'Start Position' attribute. The default value is `"-1"`.

  If the meaning of the 'Start Position' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Start Position' attribute.
  See Also:
    `setStartPosition(int)`, `UtilitiesPackage.getASTNode_StartPosition()`

### setStartPosition

    void setStartPosition(int value)

  Sets the value of the '`Start Position`' attribute.

  Parameters:
    `value` - the new value of the 'Start Position' attribute.
  See Also:
    `getStartPosition()`

### getEndPosition

    int getEndPosition()

  Returns the value of the 'End Position' attribute. The default value is `"-1"`.

  If the meaning of the 'End Position' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'End Position' attribute.
  See Also:
    `setEndPosition(int)`, `UtilitiesPackage.getASTNode_EndPosition()`

### setEndPosition

    void setEndPosition(int value)

  Sets the value of the '`End Position`' attribute.

  Parameters:
    `value` - the new value of the 'End Position' attribute.
  See Also:
    `getEndPosition()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.